%define name berry-theme-fluxbox
%define version 0.01
%define release b1

Name:		%{name}
Summary:	The Berry Linux Theme
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Theme for Berry Linux for fluxbox.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
install -m 755 -d %{buildroot}/usr/share/wallpapers
install -m 755 darkandtrans.jpg %{buildroot}/usr/share/wallpapers

install -m 755 -d %{buildroot}/usr/share/fluxbox/styles
install -m 644 darkandtrans %{buildroot}/usr/share/fluxbox/styles


##
## Post installation
##

%post

if [ -e /usr/share/fluxbox/init ]; then
	perl -pi -e "s:/usr/share/fluxbox/styles/Meta:/usr/share/fluxbox/styles/darkandtrans:g" /usr/share/fluxbox/init
fi


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/usr/share/fluxbox/styles/*
/usr/share/wallpapers/*


##
## change log
##

%changelog
* Tue Mar 23 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
